function   Denoise(DataSet,Option)
% the main program of Denoise algorithm
% inputs:  
% DataSet: i.e. 'Sequest', 'Yeast', 'Tal'
% Option:  'digest' or 'nondigest'
switch lower(Option)

       case 'digest'
       
           Denoise_digest(DataSet,Option)
    
       case 'nondigest'
        
           Denoise_nondigest(DataSet,Option)
        
 end